Subject: [Dart] draft-ietf-dart-dscp-rtp-02 - Section 4 data channel text

From: "Black, David" <[email-masked]>
Date: Tue, 26 Aug 2014 02:07:02 -0400

> >>> -- section 4:
> >>>
> >>> It might be nice to have a more WebRTC-ish example. For example an audio
> >>> stream, video stream, and a data channel carrying something like a shared
> >>> white board or game.
> >> Sure, please send text.
> >>
> > Okay, how about something like the following, added to the end of section 4:
> >
> > "A WebRTC application may carry one or more RTP streams, as discussed above.
> In addition, it might carry an SCTP data channel. The treatment of the data
> channel would depend on the nature of the application. For example, messaging
> applications, shared white board, or guided browsing applications might be
> best effort, while a latency-sensitive game application might require a higher
> priority PHB."
> 
> I would prefer to say "A WebRTC application may use...." - an
> application is something that lives in a browser at one end of a
> connection, talking to something at the other end of the connection
> (might be an instance of the same application, might be something
> completely different).
> 
> I would also prefer "might desire" to "might require" - games are
> unlikely to refuse to operate if they don't get a higher priority PHB,
> they'll just work with degraded performance. That's nits.

Done, plus some more editing, here's the result in my working draft:

   A WebRTC application may use one or more RTP streams, as discussed
   above.  In addition, it may include an SCTP-based data channel
   [I-D.ietf-rtcweb-data-channel] whose QoS treatment depends on the
   nature of the application.  For example, best effort treatment of
   data channels is likely to suffice for messaging, shared white board,
   and guided browsing applications, whereas latency-sensitive games
   might desire better QoS for their data channels.

---

From: Ben Campbell <[email-masked]>
Date: Tue, 26 Aug 2014 09:38:19 -0500

>   might desire better QoS for their data channels.

WFM.

---

From: Harald Alvestrand <[email-masked]>
Date: Tue, 26 Aug 2014 17:39:54 +0200

>>   might desire better QoS for their data channels.

Works for me too.
If I was nitpicking, I would change "it may include" to "it may use" in
sentence 2 too, but I can live with this just fine.

-- 
Surveillance is pervasive. Go Dark.